﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.animationButton.Clicked += animationButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 애니메이션 버튼 클릭시 처리하기 - fadeInButton_Clicked(sender, e)

    /// <summary>
    /// 애니메이션 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private async void animationButton_Clicked(object sender, EventArgs e)
    {
        await Task.WhenAny<bool>
        (
            this.image.RotateTo(360, 4000),
            this.image.ScaleTo(2, 2000)
        );

        await this.image.ScaleTo(1, 2000);
    }

    #endregion
}